code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/bin/bash
cd /etc/chef; chef-client -z -j chef-client.json
systemctl stop nginx
systemctl disable nginx
yum remove -y nginx
systemctl disable haproxy
systemctl stop haproxy
yum remove -y haproxy
rm -fr /etc/haproxy/haproxy.cfg
rm -fr /var/log/haproxy
systemctl stop mysql-default
systemctl disable mysql-default
syste... | Alfresco/alfresco-cloudformation-chef | quickstart-alfresco-one/scripts/run-index-na.sh | Shell | apache-2.0 | 896 |
#
# Copyright 2011-2019 Asakusa Framework Team.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agr... | ashigeru/asakusafw | operation-project/asakusa-operation-tools/src/main/dist/tools/conf/env.sh | Shell | apache-2.0 | 675 |
#!/bin/bash
. cmd.sh
mfccdir=mfcc
# Make "per-utterance" versions of the test sets where the speaker
# information corresponds to utterances-- to demonstrate adaptation on
# short utterances, particularly for basis fMLLR
for x in test_eval92 test_eval93 test_dev93 ; do
y=${x}_utt
rm -r data/$y
cp -r data/$x da... | AlexHung780312/aurora4_egs | s5/local/run_basis_fmllr.sh | Shell | apache-2.0 | 1,637 |
# *********************************************************************************
# Description: Builds a docker image for this node app
# Author: Joe Rice
# Created: 10/14/2016
#
# Notes:
# Uses the Dockerfile in this same git repo
# ***********************************************************************... | joericearchitect/site-joe-rice-architect | devops/scripts/jarch-stop-wordpress.sh | Shell | apache-2.0 | 509 |
#!/bin/bash
#***IMPORTANT***
# please ensure that oo-delete-user is found in path or /root
logfile=/var/log/openshift/broker/ose-utils.log
function usage {
echo "Usage: oo-decommission-application-simulator.sh {appDomain} {Token} [--broker {brokerUrl}]"
}
function json {
echo "{
\"returnCode\":\"$1\",
... | sabre1041/ose-utils | oo-decommission-application.sh | Shell | apache-2.0 | 2,855 |
#!/usr/bin/env bash
# Copyright 2014 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applica... | yuexiao-wang/kubernetes | hack/verify-golint.sh | Shell | apache-2.0 | 4,352 |
#! /bin/sh
# Copyright (C) 2011-2014 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | kuym/openocd | tools/automake-1.15/t/tap-msg0-result.sh | Shell | gpl-2.0 | 1,380 |
#!/bin/bash
set -e
# Global variables:
# ${GV_LOG}: Prefix this variable in echo to log echoed string.
# ${GV_SETTINGS_DIR}: Hold settings data.
# ${GV_BINARY_DIR}: Hold settings binary data.
SCRIPT_NAME="$(basename "$(test -L "$0" && readlink "$0" || echo "$0")")"
echo "${GV_LOG}>>>>>>>>> Running ${SCRIPT_NAME} ..."
... | bankonme/cust-live-deb | scripts/repository/inst-xtra-wifite.sh | Shell | gpl-2.0 | 789 |
#!/bin/sh
# This script initiates a shutdown when the power putton has been
# pressed. Loosely based on the sample that ships with the acpid package.
# If the acpid sample is present as a real config file (as it was in earlier
# versions of acpid), we skip this script. (Purging and reinstalling acpid
# resolves this s... | ruibarreira/linuxtrail | etc/acpi/powerbtn-acpi-support.sh | Shell | gpl-3.0 | 1,191 |
#!/usr/bin/env bash
# Capstone Disassembly Engine
# By Nguyen Anh Quynh <aquynh@gmail.com>, 2013-2014
# Note: to cross-compile "nix32" on Linux, package gcc-multilib is required.
# build iOS lib for all iDevices, or only specific device
function build_iOS {
${MAKE} clean
IOS_SDK=`xcrun --sdk iphoneos --show-sdk-p... | cuckoobox/monitor | src/capstone/make.sh | Shell | gpl-3.0 | 3,408 |
#!/bin/sh
echo "You need to have m4, automake, autoconf, libtool...";
#aclocal
list_of_config_files="./src/modules";
#
list_of_config_files_pro="./src/modules_pro";
#echo adding modules
#for file in $list_of_config_files; do
# echo "AC_CONFIG_FILES([${list_of_config_files}/${file}])"
#done > modules_makefiles.m... | btriller/captagent | build.sh | Shell | gpl-3.0 | 560 |
#!/bin/sh
#**************************************************************************
# Lightspark, a free flash player implementation
#
# Copyright (C) 2009-2012 Alessandro Pignotti (a.pignotti@sssup.it)
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GN... | gg0/lightspark-Debian | tools/play-youtube.sh | Shell | gpl-3.0 | 1,600 |
#!/bin/sh
column=$1
shift
files="$@"
echo -n $@
echo
for bench1 in $files; do
echo -n $bench1
for bench2 in $files; do
res=$(./create_diff.sh $bench1 $bench2 $column)
echo -n " $res "
done
echo
done
| ssaavedra/why3 | bench/encoding/diff_all.sh | Shell | lgpl-2.1 | 234 |
#!/bin/sh
if [ $1 == 'password*' ] then
exec echo "$GIT_ASKPASS_PASSWORD"
exit 0
fi
if [ $1 == 'username*' ] then
exec echo "$GIT_ASKPASS_USERNAME"
exit 0
fi
| UManPychron/pychron | pychron/git/hosts/askpass.sh | Shell | apache-2.0 | 168 |
#!/bin/bash
#
# Start scrip for the Node Agent
#
# (C) 2014 INAETICS, <www.inaetics.org> - Apache License v2.
cd $(dirname $0)
#
# Config
#
PROVISIONING_NAMESPACE="/inaetics/node-provisioning-service"
MAX_RETRY_ETCD_REPO=10
RETRY_ETCD_REPO_INTERVAL=5
UPDATE_INTERVAL=60
RETRY_INTERVAL=20
ETCD_TTL_INTERVALL=$((UPDATE_I... | florian-gauvin/Dockerfile-that-build-a-small-Docker-Image-with-Openjdk-and-Apache-Felix-in-it | resources/node-agent.sh | Shell | apache-2.0 | 6,894 |
#!/bin/bash
set -eux
function deploy {
# this two commands will clean db
solar resource clear_all
solar connections clear_all
solar resource create node1 /vagrant/resources/ro_node ip=10.0.0.3 ssh_user=vagrant ssh_key='/vagrant/.vagrant/machines/solar-dev1/virtualbox/private_key'
solar resource cr... | dshulyak/solar | examples/cli/example.sh | Shell | apache-2.0 | 543 |
#!/bin/bash
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); y... | manuzhang/incubator-gearpump | dev-tools/create_apache_source_release.sh | Shell | apache-2.0 | 2,954 |
#!/bin/bash
# Copyright The containerd Authors.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0
# Unless required by applicable ... | containerd/containerd | script/test/cri-integration.sh | Shell | apache-2.0 | 1,664 |
#!/bin/sh
base=$(dirname $0)
md5tool=../file_md5
appsdir=../../apps
testdir=..
tmpdir=/tmp/anc_temp$$
testpcm="$tmpdir/test_pcm.raw"
testavci="$tmpdir/test_avci.raw"
testanc="$tmpdir/test_anc.raw"
testmxf="$tmpdir/test.mxf"
testmd5="$tmpdir/test.md5"
sample="/tmp/op1a_anc.mxf"
md5file="$base/anc.md5"
create_tes... | stuarthicks/bmx | test/mxf_op1a/anc.sh | Shell | bsd-3-clause | 1,122 |
# Copyright (c) 2012 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
configure_dev_portage() {
# Need profiles at the bare minimum
local repo
for repo in portage-stable coreos-overlay; do
sudo mkdir ... | BugRoger/scripts | build_library/dev_image_util.sh | Shell | bsd-3-clause | 4,127 |
#!/bin/bash
set -e
install_edm() {
local EDM_MAJOR_MINOR="$(echo "$INSTALL_EDM_VERSION" | sed -E -e 's/([[:digit:]]+\.[[:digit:]]+)\..*/\1/')"
local EDM_PACKAGE="edm_${INSTALL_EDM_VERSION}.pkg"
local EDM_INSTALLER_PATH="${HOME}/.cache/download/${EDM_PACKAGE}"
if [ ! -e "$EDM_INSTALLER_PATH" ]; then
... | jvkersch/pytsp | tools/install_edm_osx.sh | Shell | bsd-3-clause | 525 |
#!/bin/sh
# (c) Copyright 2009 - 2010 Xilinx, Inc. All rights reserved.
#
# This file contains confidential and proprietary information
# of Xilinx, Inc. and is protected under U.S. and
# international copyright and other intellectual property
# laws.
#
# DISCLAIMER
# This disclaimer is not a license and does not gra... | antmicro/parallella-lcd-fpga | system/implementation/system_axi_vdma_0_wrapper_fifo_generator_v9_3/simulation/timing/simulate_vcs.sh | Shell | bsd-3-clause | 3,111 |
#!/usr/bin/env bash
. "test/testlib.sh"
begin_test "pre-push"
(
set -e
reponame="$(basename "$0" ".sh")"
setup_remote_repo "$reponame"
clone_repo "$reponame" repo
git lfs track "*.dat"
git add .gitattributes
git commit -m "add git attributes"
git config "lfs.$(repo_endpoint $GITSERVER $reponame).lo... | Jericho25/-git-lfs_miilkyway | test/test-pre-push.sh | Shell | mit | 26,352 |
#!/bin/bash
FN="golubEsets_1.32.0.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.12/data/experiment/src/contrib/golubEsets_1.32.0.tar.gz"
"https://bioarchive.galaxyproject.org/golubEsets_1.32.0.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-golubesets/bioconductor-golubesets_1.32.0_src_all.ta... | bebatut/bioconda-recipes | recipes/bioconductor-golubesets/post-link.sh | Shell | mit | 1,302 |
#!/bin/bash
SRC=$(git rev-parse --show-toplevel)
EXCLUDE="--exclude-dir 'node_modules' --exclude-dir '.git'"
#==========================================================
# Check if I forgot to remove 'only' keyword from tests.
# To make sure that before commit run all tests
only_command="grep -c -h -r $EXCLUDE -E \"(de... | marmelab/ng-admin | scripts/check-only-in-tests.sh | Shell | mit | 786 |
#
# Copyright (C) 2011 OpenWrt.org
#
. /lib/functions/system.sh
. /lib/ar71xx.sh
PART_NAME=firmware
RAMFS_COPY_DATA=/lib/ar71xx.sh
CI_BLKSZ=65536
CI_LDADR=0x80060000
platform_find_partitions() {
local first dev size erasesize name
while read dev size erasesize name; do
name=${name#'"'}; name=${name%'"'}
case ... | urueedi/openwrt | target/linux/ar71xx/base-files/lib/upgrade/platform.sh | Shell | gpl-2.0 | 10,946 |
#!/bin/sh
set -e
BUILD="$(/bin/mktemp --directory --tmpdir solaar-gh-pages-XXXXXX)"
cd "$(/usr/bin/dirname "$0")/.."
SELF="$PWD"
SITE="$(/bin/readlink --canonicalize "$SELF/../gh-pages")"
#
#
#
add_md() {
local SOURCE="$SELF/$1"
local TARGET="$BUILD/${2:-$(/usr/bin/basename "$1")}"
LAYOUT=default
TITLE=$(/bin/... | marcbelmont/Solaar | tools/build_gh_pages.sh | Shell | gpl-2.0 | 4,062 |
#!/bin/sh
# Generate mips-tables.opt from the list of CPUs in mips-cpus.def.
# Copyright (C) 2011-2021 Free Software Foundation, Inc.
#
# This file is part of GCC.
#
# GCC is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software F... | Gurgel100/gcc | gcc/config/mips/genopt.sh | Shell | gpl-2.0 | 3,665 |
#!/bin/bash
rm -rf docs/browse
FILES=$(find include source platform -name '*.[chm]')
echo running ctags to make xref
ctags -x $FILES > tags-xref
for input in $FILES
do
output=docs/browse/$input.html
mkdir -p $(dirname $output)
echo $input $output
python scripts/tohtml.py $input < $input > $output
done
rm tags-... | lustersir/MuPDF | scripts/runtohtml.sh | Shell | agpl-3.0 | 325 |
#!/bin/sh
# SUMMARY: Test the tpm example
# LABELS:
set -e
# Source libraries. Uncomment if needed/defined
#. "${RT_LIB}"
. "${RT_PROJECT_ROOT}/_lib/lib.sh"
NAME=tpm
clean_up() {
rm -f ${NAME}*
}
trap clean_up EXIT
# Test code goes here
moby build "${LINUXKIT_EXAMPLES_DIR}/${NAME}.yml"
exit 0
| davefreitag/linuxkit | test/cases/000_build/100_examples/060_tpm/test.sh | Shell | apache-2.0 | 302 |
#!/bin/bash
cd "$(dirname "${BASH_SOURCE[0]}")" \
&& . "./utils.sh"
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
install_package "Vim" "vim-gtk3"
| alrra/dotfiles | src/os/installs/ubuntu/vim.sh | Shell | mit | 180 |
#!/bin/sh
# Find all networking devices currenly installed...
HIDE_PCI=`lspci -mm -n | grep '^[^ ]* "02'|awk '{ ORS="";print "(" $1 ")";}'`
# ... and hide them so that Dom0 doesn't load drivers for them
modprobe pciback hide=$HIDE_PCI 2> /dev/null || modprobe xen-pciback hide=$HIDE_PCI
| ptitdoc/Archive-qubes-core | dom0/dracut/modules.d/90qubes-pciback/qubes-pciback.sh | Shell | gpl-2.0 | 290 |
#! /bin/sh
# Copyright (C) 2012-2015 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | hika-server/automake | t/parallel-tests-dry-run-1.sh | Shell | gpl-2.0 | 1,773 |
#!/bin/sh
# production binary with bootloader
#/usr/local/stlink/st-flash --reset write /tmp/ArduCopter.build/f4light_Revolution.bin 0x08010000
#bare metal binary
/usr/local/stlink/st-flash --reset write ../../../../../ArduPlane/f4light_AirbotV2.bin 0x08000000 && /usr/local/stlink/st-util -m
| sharescience/ardupilot | libraries/AP_HAL_F4Light/boards/f4light_MatekF405_OSD/support/UPLOAD-plane-STLINK.sh | Shell | gpl-3.0 | 299 |
#!/bin/sh
# Script to use on a node for debugging
# Usage: ./apply_on_node.sh <puppet parameters>
#
# Example: ./apply_on_node.sh --debug --verbose
ROOTDIR='/srv/leap'
PLATFORM="$ROOTDIR"
MODULEPATH="$PLATFORM/puppet/modules"
LOG=/var/log/leap.log
# example tags to use
#TAGS='--tags=leap_base,leap_service,leap_slow'... | cz8s/leap_platform | puppet/bin/apply_on_node.sh | Shell | gpl-3.0 | 775 |
#!/bin/bash
# Location of the expanded GeoNode tarball
INSTALL_DIR=geonode
# Location of the target filesystem, it may be blank
# or something like $(CURDIR)/debian/geonode/
TARGET_ROOT=debian/geonode-rogue
# Tomcat webapps directory
TOMCAT_WEBAPPS=$TARGET_ROOT/var/lib/tomcat7/webapps
# Geoserver data dir, it will sur... | state-hiu/rogue_geonode | package/geonode/debian/support/config-pre.sh | Shell | gpl-3.0 | 1,888 |
#!/bin/sh
git log --pretty --summary HEAD master . | git2cl | sed 's/\*\s\:\s//' | sed 's/\<\(.*\)\(@\)\(.*\)/\1[at]\3/'
| langurmonkey/libgdx-contribs | postprocessing/mk-changelog.sh | Shell | apache-2.0 | 123 |
#!/bin/bash
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); ... | jianqiao/incubator-quickstep | third_party/reset_third_party_dir.sh | Shell | apache-2.0 | 1,410 |
#!/bin/sh
# Copyright (C) 2008-2016 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# ... | sunny256/coreutils | tests/misc/ptx-overrun.sh | Shell | gpl-3.0 | 1,760 |
#!/bin/bash
set -e
set -x
# # Create the `var` directories - all the downloaded and generated files live in here
#
# mkdir -p var/representatives var/senators
#
# export ALL_REP_URL="http://www.nassnig.org/nass2/Princ_officers_all.php?title_sur=Hon."
# export ALL_SEN_URL="http://www.nassnig.org/nass/Princ_officers_... | patricmutwiri/pombola | pombola/nigeria/initial_import/run.bash | Shell | agpl-3.0 | 1,426 |
#!/usr/bin/env bash
# This script may be used to launch a Fractal/GCM component application
# describe with an ADL.
# Usage:
# startFromADL.sh descriptor_file fractal_ADL_file
# descriptor_file a deployment descriptor
# fractal_ADL_file a fractal ADL file describing your components assembly
# ... | acontes/programming | bin/startFromADL.sh | Shell | agpl-3.0 | 762 |
#!/bin/bash
#
# spamfilter.sh
#
# Simple filter to plug SpamAssassin into the Postfix MTA
#
# Modified by Jeremy Morton
#
# This script should probably live at /usr/bin/spamfilter.sh
# ... and have 'chown root:root' and 'chmod 755' applied to it.
#
# For use with:
# Postfix 20010228 or later
# SpamAssassin... | bdube/infrastructure-puppet | modules/spamassassin/files/spamfilter.sh | Shell | apache-2.0 | 675 |
date="$(date +%F)"
if [ -x /bin/systemctl ]; then
/bin/systemctl start sendmail.service
else
/usr/sbin/service sendmail start
fi
if grep -q 'FAIL' "$OUTPUT_ROOT/results"; then
result='FAIL'
else
result='PASS'
fi
echo -n "Sending report to <$MAILTO>: "
if cat $OUTPUT_ROOT/mail.summary | mail -v -s "[$... | martinky82/abrt | tests/runtests/aux/mailx_report.sh | Shell | gpl-2.0 | 448 |
#!/bin/sh
./traci -u Cmdenv "$@" | egrep -i "^(Pass|FAIL)"
| mnobrega/EMoS | tests/traci/runTest.sh | Shell | gpl-2.0 | 60 |
#!/bin/sh
# Copyright (c) 2014-2015 Oracle and/or its affiliates. All Rights Reserved.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) an... | nakyasm/testltp | testcases/lib/test_net.sh | Shell | gpl-2.0 | 7,296 |
#!/bin/sh
# Ensure that by default, du doesn't dereference command-line symlinks.
# Copyright (C) 2003-2016 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, eithe... | yuxuanchen1997/coreutils | tests/du/no-deref.sh | Shell | gpl-3.0 | 1,026 |
# Plowshare zalaa.com module
# Copyright (c) 2012-2013 Plowshare team
#
# This file is part of Plowshare.
#
# Plowshare is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at... | dataoscar/plowshare-modules-legacy | zalaa.sh | Shell | gpl-3.0 | 7,450 |
assert_ok() {
local FUNCTION=$1
shift
$($FUNCTION $@) || die '"'"$FUNCTION $@"'" should have succeeded, but failed'
}
assert_not_ok() {
local FUNCTION=$1
shift
! $($FUNCTION $@) || die '"'"$FUNCTION $@"'" should have failed, but succeeded'
}
| Kuzirashi/nvm | test/common.sh | Shell | mit | 257 |
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not u... | ForkedReposBak/mxnet | cpp-package/example/inference/unit_test_sentiment_analysis_rnn.sh | Shell | apache-2.0 | 1,670 |
#!/usr/bin/env bash
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "Lice... | nathanielvarona/airflow | dev/remove_artifacts.sh | Shell | apache-2.0 | 3,051 |
#!/bin/bash
zip -r export.zip helpers/* serpico.rb model/* public/* server* templates/* views/* scripts/create_user.rb scripts/first_time.rb scripts/reset_pw.rb scripts/update_templates.rb
| ccammilleri/Serpico | scripts/make_export.sh | Shell | bsd-3-clause | 191 |
#!/bin/bash
COMMAND=$1
BUILD_TOP=`dirname $TRAVIS_BUILD_DIR`
EXIT_VALUE=0
export PATH="$HOME/.composer/vendor/bin:$PATH"
export DISPLAY=:99.0
export CHROME_SANDBOX=/opt/google/chrome/chrome-sandbox
##
# SCRIPT COMMANDS
##
# system-install
#
# This is meant to setup the server on Travis-CI so that it can run the tes... | radimklaska/openatrium-drops-7 | profiles/openatrium/scripts/travis-ci.sh | Shell | gpl-2.0 | 7,139 |
#!/bin/sh
################################################################################
##
## Licensed to the Apache Software Foundation (ASF) under one or more
## contributor license agreements. See the NOTICE file distributed with
## this work for additional information regarding copyright ownership.
## The A... | adufilie/flex-sdk | mustella/tests/browser/resources/Preloader/SWFs/pre_compile.sh | Shell | apache-2.0 | 2,833 |
#!/bin/bash
outdir=$PREFIX/share/$PKG_NAME-$PKG_VERSION-$PKG_BUILDNUM
mkdir -p $outdir
cp -r * $outdir
ln -s $outdir/moff_mbr.py $PREFIX/bin/moff_mbr.py
ln -s $outdir/moff.py $PREFIX/bin/moff.py
ln -s $outdir/moff_all.py $PREFIX/bin/moff_all.py
| dmaticzka/bioconda-recipes | recipes/moff/build.sh | Shell | mit | 248 |
#!/bin/bash
# Copyright 2019 The gRPC Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agree... | endlessm/chromium-browser | third_party/grpc/src/src/csharp/expand_dev_version.sh | Shell | bsd-3-clause | 948 |
#!/bin/sh
# Test wc on /proc and /sys files.
# Copyright 2014-2015 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your... | kdave/coreutils | tests/misc/wc-proc.sh | Shell | gpl-3.0 | 1,036 |
#!/bin/bash
mkdir -p "$PREFIX/bin"
export MACHTYPE=x86_64
export BINDIR=$(pwd)/bin
mkdir -p "$BINDIR"
(cd kent/src/lib && make)
(cd kent/src/htslib && make)
(cd kent/src/jkOwnLib && make)
(cd kent/src/hg/lib && make)
(cd kent/src/hg/makeDb/hgLoadChain && make)
cp bin/hgLoadChain "$PREFIX/bin"
chmod +x "$PREFIX/bin/hgLo... | joachimwolff/bioconda-recipes | recipes/ucsc-hgloadchain/build.sh | Shell | mit | 329 |
#!/bin/sh
echo "Checking modules"
MODULE_LIST="gbenchmark gtest mavlink PX4Firmware PX4Firmware/src/lib/matrix PX4Firmware/Tools/gencpp PX4Firmware/Tools/genmsg PX4NuttX uavcan uavcan/dsdl uavcan/libuavcan/dsdl_compiler/pyuavcan waf"
NEED_INIT=0
export GIT_PAGER=cat
cd $(dirname "$0")/.. || exit 1
for m in $MODUL... | chapman/ardupilot | mk/check_modules.sh | Shell | gpl-3.0 | 1,822 |
#!/bin/bash
set -eu
echo "=== Allocator tests ==="
rm -rf blocks
tests/test.py << TEST
lfs_format(&lfs, &cfg) => 0;
TEST
SIZE=15000
lfs_mkdir() {
tests/test.py << TEST
lfs_mount(&lfs, &cfg) => 0;
lfs_mkdir(&lfs, "$1") => 0;
lfs_unmount(&lfs) => 0;
TEST
}
lfs_remove() {
tests/test.py << TEST
lfs_... | adfernandes/mbed | storage/filesystem/littlefs/littlefs/tests/test_alloc.sh | Shell | apache-2.0 | 12,895 |
#!/bin/bash
#
# Test connection tracking zone and NAT source port reallocation support.
#
# Kselftest framework requirement - SKIP code is 4.
ksft_skip=4
# Don't increase too much, 2000 clients should work
# just fine but script can then take several minutes with
# KASAN/debug builds.
maxclients=100
have_iperf=1
ret... | tprrt/linux-stable | tools/testing/selftests/netfilter/nft_nat_zones.sh | Shell | gpl-2.0 | 9,336 |
#!/bin/bash
set -e
./build/tools/caffe train \
--solver=examples/mnist/mnist_autoencoder_solver_adagrad.prototxt $@
| aayushbansal/PixelNet | tools/caffe/examples/mnist/train_mnist_autoencoder_adagrad.sh | Shell | mit | 119 |
#!/bin/bash
# Copyright 2014 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law ... | chmouel/gofabric8 | vendor/k8s.io/kubernetes/cluster/aws/util.sh | Shell | apache-2.0 | 58,564 |
#!/bin/sh
# Recreate the demo certificates in the apps directory.
OPENSSL=openssl
# Root CA: create certificate directly
CN="OpenSSL Test Root CA" $OPENSSL req -config apps.cnf -x509 -nodes \
-keyout root.pem -out root.pem -key rootkey.pem -new -days 3650
# Intermediate CA: request first
CN="OpenSSL Test Intermedia... | ibc/MediaSoup | worker/deps/openssl/openssl/demos/certs/apps/mkacerts.sh | Shell | isc | 1,865 |
#!/usr/bin/env bash
# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or ag... | googleapis/synthtool | tests/fixtures/nodejs-dlp/.kokoro/trampoline_v2.sh | Shell | apache-2.0 | 15,120 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for DSA-2626-1
#
# Security announcement date: 2013-02-17 00:00:00 UTC
# Script generation date: 2017-01-01 21:06:29 UTC
#
# Operating System: Debian 6 (Squeeze)
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - lighttpd:1.4.28-2+squeeze1.2
#
# L... | Cyberwatch/cbw-security-fixes | Debian_6_(Squeeze)/x86_64/2013/DSA-2626-1.sh | Shell | mit | 653 |
## depends on a package 'fzf'
f.ex() {
local files
IFS=$'\n' files=($(fzf-tmux --query="$1" --multi --select-1 --exit-0))
[[ -n "$files" ]] && ${EDITOR:-vim} "${files[@]}"
}
f.exl() {
local file
local line
read -r file line <<<"$( grep -rn "$@" . | fzf -0 -1 | awk -F':' '{print $1, $2}' )"
if [[ -f "$... | abhishekkr/dotfiles | shell_profile/a.fzf.sh | Shell | mit | 606 |
#!/bin/bash
####
# Contains acpi dependend alias in alphabetically order
####
# @author stev leibelt <artodeto@bazzline.net>
# @since 2021-01-19
####
if [[ ${NET_BAZZLINE_ACPI_IS_AVAILABLE} -eq 1 ]];
then
alias showBatteryStatusWithoutAcpi='for BATTERY_FILE_PATH in $(find /sys/class/power_supply/ -iname "BAT*");do... | stevleibelt/shell_config | _source/alias/acpi.sh | Shell | mit | 472 |
#!/bin/bash
set -e
ROOTDIR=`dirname "$0"`
ROOTDIR=`cd "$ROOTDIR/../.." && pwd`
source "$ROOTDIR/internal/lib/library.sh"
# DON'T SET ENVIRONMENT VARIABLES HERE!
# Set them in internal/test/misc/init.sh instead. Otherwise
# environment variables won't be available in the debugging
# console.
if ls /output/*enterprise*... | phusion/passenger_rpm_automation | internal/test/test.sh | Shell | mit | 4,326 |
#!/usr/bin/env bash
sudo easy_install chardet
sudo easy_install pyquery
sudo easy_install PyYaml
sudo easy_install gflags
sudo easy_install --upgrade python-gflags
sudo easy_install pymongo
sudo easy_install sqlalchemy
sudo easy_install redis
sudo easy_install mysqldb
sudo easy_install pycurl
sudo easy_install lxml
su... | lightworx/kickass | init.sh | Shell | mit | 442 |
#!/bin/bash
# Set a number of loops before timing out.
LIMIT=20
# Time to wait before re-checking
SLEEP=10
# Initialize the timeout variable
timeout=0
# Function to wait for ng serve to finish.
wait_for() {
until curl -sf "$1"
do
if [ $timeout -eq $LIMIT ]; then
echo -e "\nBuild timed out.\n"
... | Teradata/covalent | scripts/a11y/a11y.sh | Shell | mit | 1,156 |
#! /usr/bin/env sh
set -e
set -u
set -x
find src/ include/ -type f \( -name "*.c" -o -name "*.h" \) -print | xargs clang-format -i
| jeanguyomarch/eovim | scripts/format.sh | Shell | mit | 133 |
#!/bin/bash -ex
time (
git pull -r
mkdir -p workdir
cd workdir
cmake \
-G 'Unix Makefiles' \
-DCMAKE_INSTALL_PREFIX=$PWD/../instdir \
-DCMAKE_BUILD_TYPE=Release \
-DLLVM_ENABLE_SPHINX=ON \
-DCMAKE_C_COMPILER="gcc" \
-DCMAKE_CXX_COMPILER="g++" \
-D... | vmiklos/vmexam | llvm/up.sh | Shell | mit | 804 |
if [[ ${TASK} == "gpu" ]]; then
bash .travis/amd_sdk.sh;
tar -xjf AMD-SDK.tar.bz2;
AMDAPPSDK=${HOME}/AMDAPPSDK;
export OPENCL_VENDOR_PATH=${AMDAPPSDK}/etc/OpenCL/vendors;
mkdir -p ${OPENCL_VENDOR_PATH};
sh AMD-APP-SDK*.sh --tar -xf -C ${AMDAPPSDK};
echo libamdocl64.so > ${OPENCL_VENDOR_PATH}... | Laurae2/LightGBM | .travis/test.sh | Shell | mit | 5,244 |
#!/bin/bash
conjur env run -- knife cookbook site share sshd-service "Other" -o ../. -VV
| conjur-cookbooks/sshd-service | publish.sh | Shell | mit | 90 |
#!/bin/sh
set -x
SOURCE_DIR=`pwd`
BUILD_DIR=${BUILD_DIR:-../build}
BUILD_TYPE=${BUILD_TYPE:-release}
INSTALL_DIR=${INSTALL_DIR:-../${BUILD_TYPE}-install}
BUILD_NO_EXAMPLES=${BUILD_NO_EXAMPLES:-0}
mkdir -p $BUILD_DIR/$BUILD_TYPE \
&& cd $BUILD_DIR/$BUILD_TYPE \
&& cmake \
-DCMAKE_BUILD_TYPE=$BUILD_TYPE \
-DCM... | NicoleRobin/zmuduo | build.sh | Shell | mit | 433 |
#!/bin/bash
# add user to sudoers no password
read -p "Allow sudo with no password for $USER? [y,n] " -n 1 -r
echo # (optional) move to a new line
if [[ $REPLY =~ ^[Yy]$ ]]
then
echo "$USER ALL=(ALL) NOPASSWD: ALL" | sudo tee -a /etc/sudoers > /dev/null
fi
# do OS detection (ubuntu, redhat, etc)
if [ -e "$(which... | kennedyj/symphony | bootstrap/os/linux.sh | Shell | mit | 695 |
find templates/ -type f -exec echo '{}' \;|sed -e "s/templates\//{%include \"/" -e "s/$/\" %}/" > test.file
moban -c config/pyexcel.yaml -t test.file -td templates setupmobans/templates .
| pyexcel/pyexcel-commons | test.sh | Shell | mit | 188 |
export PATH="${PATH}:$HOME/bin"
| ajclarkson/dotfiles | zsh/path.zsh | Shell | mit | 33 |
#!/usr/local/bin/expect -f
set timeout -1
spawn arc diff --nolint --nounit
match_max 100000
expect "Provide explanation for skipping lint"
send -- "remote\r"
expect "Provide explanation for skipping unit"
send -- "remote\r"
expect eof
| christianvuerings/dotfiles | .ad.sh | Shell | mit | 236 |
#!/bin/bash
set -euo pipefail
IFS=$'\n\t'
# gather cluster data
cluster_name=$(cat ~/config/RS_CLUSTER_NAME)
key_tag_prefix="rs_cluster:ssh_key="
ip_tag_prefix="rs_cluster:ip="
/usr/local/bin/rsc --rl10 cm15 by_tag \
tags/by_tag resource_type=instances \
tags[]="rs_cluster:name=$cluster_name" \
include_tags_wit... | rs-services/kubernetes | attachments/authorize_cluster_keys.sh | Shell | mit | 1,947 |
#!/bin/bash
. /root/env.sh
echo $(($$ + 1)) > /var/run/coffee.pid
/root/coffee-scale/venv/bin/python /root/coffee-scale/src/coffee_scale.py 1>/var/log/coffee 2>&1
| yanigisawa/coffee-scale | bin/startcoffee.sh | Shell | mit | 163 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for DSA-2619-1
#
# Security announcement date: 2013-02-10 00:00:00 UTC
# Script generation date: 2017-01-01 21:06:29 UTC
#
# Operating System: Debian 6 (Squeeze)
# Architecture: i386
#
# Vulnerable packages fix on version:
# - xen-qemu-dm-4.0:4.0.1-2+squeeze3
#
#... | Cyberwatch/cbw-security-fixes | Debian_6_(Squeeze)/i386/2013/DSA-2619-1.sh | Shell | mit | 643 |
#!/bin/bash
host=""
user="etherpad"
database="etherpad"
password=""
# all public pads
mysql -h $host -u $user --skip-column-names -p$password -B -e "select id from PAD_SQLMETA where lastWriteTime < (curdate() - INTERVAL 300 DAY) AND id NOT LIKE '%$%' limit 10;" etherpad | xargs -n 1 ./exportpad_dump.sh
| Gared/etherpad-scripts | etherpad/archive-pads.sh | Shell | mit | 307 |
PRESSURE_ASSET="pressurecooker_${BUILDVARIANT}.tar.gz"
CRASH_ASSET="crashrecovery_${BUILDVARIANT}.tar.gz"
# Package and release PressureCooker as its own bundle
pushd "${BUILD_DIR}/${BUILDVARIANT}" || exit
# Path to PressureCooker and the extensions may vary,
# therefore using $(ls ...) to add them conditionally
# ... | hbirchtree/coffeecutie | deploy-post-trigger.sh | Shell | mit | 821 |
# -*- sh -*-
# shellcheck source=lib/commands/version_commands.bash
source "$(dirname "$ASDF_CMD_FILE")/version_commands.bash"
version_command global "$@"
| Stratus3D/asdf | lib/commands/command-global.bash | Shell | mit | 156 |
#!/bin/bash
function install_virtualbox_5_1 {
REPO_CHECK=$(dpkg-query -W --showformat='${Status}\n' virtualbox-5.1 | grep "install ok installed")
if [ "" == "$REPO_CHECK" ]; then
echo "deb http://download.virtualbox.org/virtualbox/debian $(lsb_release -sc) contrib" | sudo tee -a /etc/apt/sources.list
wg... | neilkidd/xubuntu-16.04.1-desktop-setup | install_virtualbox_5_1.sh | Shell | mit | 985 |
RES=1920x1080
LAP=eDP-1
MON=HDMI-1
function search {
grep -irl \
--exclude=\*.{pyc,swp,un~,png,jpg,o} \
--exclude-dir=".git" \
--exclude-dir=".venv" \
--exclude-dir=".cache" \
--exclude-dir=".tox" \
--exclude-dir="node_modules" \
--exclude-dir="bower_componen... | dhilipsiva/.files | profile/functions.sh | Shell | mit | 1,814 |
#!/bin/sh
# Delete the vendor folder in web/core/vendor
if [ -d html/core/vendor ]
then
rm -Rf html/core/vendor
fi
if [ -d html/core/.git ]
then
rm -Rf html/core/.git
fi | mayeco/drupal-composer-edition | scripts/clean-web-core.sh | Shell | mit | 183 |
#!/usr/bin/env bash
set -euo pipefail
cd $(dirname $0)
SOURCE=$(pwd)/android
CCACHE=$(pwd)/ccache
CONTAINER_HOME=/home/build
CONTAINER=lineageos
REPOSITORY=stucki/lineageos
TAG=lineage-15.1
FORCE_BUILD=0
PRIVILEGED=
ENVIRONMENT=
while [[ $# > 0 ]]; do
key="$1"
case $key in
-r|--rebuild)
FORCE_BUILD=1
;;
... | stucki/docker-lineageos | run.sh | Shell | mit | 1,745 |
#!/bin/bash
echo "$SPARK_MASTER_IP $SPARK_MASTER_HOSTNAME" >> /etc/hosts
cd $SPARK_HOME
./sbin/start-slave.sh spark://$SPARK_MASTER_HOSTNAME:7077
tail -F $SPARK_HOME/logs/*
| vwiart/spark-hello-ml | base-spark/slave/resources/startup.sh | Shell | mit | 175 |
#!/bin/bash
## Default task (settable with `runner_set_default_task`)
runner_default_task="default"
## Trap EXIT signal to bootstrap the runner.
## Works like a charm - your script ends, tasks start to run.
## Trap resets after bootstrapping.
trap '[[ ${?} -eq 0 ]] && runner_bootstrap' EXIT
## Expand aliases
shopt -... | stylemistake/symfony-test-project | utils/runner.sh | Shell | mit | 5,526 |
#!/bin/bash
set -e
export DEBIAN_FRONTEND=noninteractive
apt-get -y install \
imagemagick libpq5 sqlite3 libmysqlclient18 \
libcurl3 libcurl3-nss libpcre3 libxml2 libxslt1.1 \
libreadline5 \
libmysqlclient-dev libsqlite3-dev libpq-dev \
libcurl4-openssl-dev libpcre3-dev libxml2-dev libxslt-dev \
libreadlin... | miurahr/packer-crewmate | scripts/install-crewmate.sh | Shell | mit | 1,420 |
#!/bin/bash
# This hook executes phpcs tests in a project if a phpcs.xml file is found
# in the project root directory.
# Get name of the project (probably topmost directory name).
projectname=${PWD##*/}
staged=`git diff --diff-filter=AM --cached --name-only | grep "\.js$"`
# Nothing to do
if [[ $staged = '' ]]; th... | frandieguez/.dots | src/config/githooks/pre-commit/15-jshint.sh | Shell | mit | 1,594 |
#!/bin/bash
export PYTHONPATH=/kb/dev_container/modules/feature_sequence/lib:$PATH:$PYTHONPATH
python /kb/dev_container/modules/feature_sequence/lib/feature_sequence/feature_sequenceServer.py $1 $2 $3
| psnovichkov/kbase_feature_sequnece | bin/run_feature_sequence_async_job.sh | Shell | mit | 201 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for RHSA-2015:2131
#
# Security announcement date: 2015-11-19 21:33:31 UTC
# Script generation date: 2017-01-01 21:16:44 UTC
#
# Operating System: Red Hat 7
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - openldap.i686:2.4.40-8.el7
# - openld... | Cyberwatch/cbw-security-fixes | Red_Hat_7/x86_64/2015/RHSA-2015:2131.sh | Shell | mit | 1,678 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for USN-2330-1
#
# Security announcement date: 2014-09-11 00:00:00 UTC
# Script generation date: 2017-01-27 21:05:14 UTC
#
# Operating System: Ubuntu 12.04 LTS
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - thunderbird:1:31.1.1+build1-0ubuntu0... | Cyberwatch/cbw-security-fixes | Ubuntu_12.04_LTS/x86_64/2014/USN-2330-1.sh | Shell | mit | 779 |
# Copyright (c) 2016, the Dart project authors. Please see the AUTHORS file
# for details. All rights reserved. Use of this source code is governed by a
# BSD-style license that can be found in the LICENSE file.
# Run this from the root of the sintr_live checkout
# This script starts all the local code needed for ru... | lukechurch/sintr_live | start_sintr_local.sh | Shell | mit | 724 |
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
for d in $(find . -mindepth 1 -maxdepth 1 -type d); do
/bin/bash "$d/compile.sh"
done
| IanConnolly/CS4032 | compile.sh | Shell | mit | 146 |
#!/usr/bin/env zsh
# Generate preprocessed resources for demo site whilst also removing disused resources.
# Run this script from the root Wowchemy dir.
HUGO_THEME=wowchemy-hugo-themes hugo --source exampleSite --themesDir ../../ --gc
| gcushen/hugo-academic | scripts/gen_demo_resources.sh | Shell | mit | 236 |
#!/bin/bash
# Checks for bad data by looking at the min and max
day=$(date +%Y%m%d)
#day=20181127
function get-all ()
{
for i in `grass ~/gdb/solar/$day --exec g.list rast 2>&1 |grep -E '^s[rs]|PST|^_'`;do
echo -n $i
grass ~/gdb/solar/$day --exec r.info $i 2>&1 |grep "data:"
done
}
function get-p ()
{
for i in `gr... | ucd-cws/spatial-cimis | processor/bin/cimis-solar-data-check.sh | Shell | mit | 735 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.